Bug 1078371 - (js-jquery1) Review Request: js-jquery1 - JavaScript DOM manipulation, event handling, and AJAX library - for legacy browsers
Review Request: js-jquery1 - JavaScript DOM manipulation, event handling, and...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 857992 (view as bug list)
Depends On: 977125 977141 js-sizzle
Blocks: 603937 858027 hoogle js-reviews 959946 ghc-pretty-show 1006575 1078903 1086729 1103414
  Show dependency treegraph
 
Reported: 2014-03-19 12:46 EDT by T.C. Hollingsworth
Modified: 2015-05-01 12:53 EDT (History)
6 users (show)

See Also:
Fixed In Version: js-jquery-2.1.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-19 09:08:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2014-03-19 12:46:26 EDT
Spec: http://patches.fedorapeople.org/js-future/SPECS/js-jquery1.spec
SRPM: http://patches.fedorapeople.org/js-future/SRPMS/js-jquery1-1.11.0-0.1.fc20.src.rpm
FAS:  patches
Description:
jQuery is a fast, small, and feature-rich JavaScript library. It makes things
like HTML document traversal and manipulation, event handling, animation, and 
Ajax much simpler with an easy-to-use API that works across a multitude of 
browsers. With a combination of versatility and extensibility, jQuery has 
changed the way that millions of people write JavaScript.

This version of jQuery should be used for web applications which need to support
legacy browsers such as IE6.

--
This is an experimental package that does not yet meet Fedora standards.  It uses npm to install build dependencies to work around ones missing from the distribution.  However, the package is otherwise fully built during the rpmbuild process and the binary RPM is identical to what would be produced by a proper spec.

Please use it to test dependent packages.  It is also available in this copr:
http://copr.fedoraproject.org/coprs/patches/js-future
Comment 1 T.C. Hollingsworth 2014-03-19 12:51:11 EDT
*** Bug 857992 has been marked as a duplicate of this bug. ***
Comment 3 T.C. Hollingsworth 2014-05-31 04:08:37 EDT
I've now fixed an annoying bug in grunt and can drop the hack I added in %prep to make it build.  This now requires the most recent nodejs-grunt to build.

Spec: http://patches.fedorapeople.org/jquery/js-jquery1.spec
SRPM: http://patches.fedorapeople.org/jquery/js-jquery1-1.11.1-2.fc20.src.rpm
Comment 4 T.C. Hollingsworth 2014-06-03 05:38:44 EDT
Fixed based on feedback from the js-sizzle review:

Spec: http://patches.fedorapeople.org/jquery/js-jquery1.spec
SRPM: http://patches.fedorapeople.org/jquery/js-jquery1-1.11.1-3.fc20.src.rpm

* Tue Jun 03 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.11.1-3
- follow the github SourceURL guidelines
Comment 5 Jens Petersen 2014-09-16 01:18:30 EDT
Mock build fails like js-query:

+ ln /builddir/build/BUILDROOT/js-jquery1-1.11.1-3.fc22.x86_64/usr/share/javascript/jquery/1.11.1/jquery.js /builddir/build/BUILDROOT/js-jquery1-1.11.1-3.fc22.x86_64/usr/share/javascript/jquery/jquery-1.js
+ ln /builddir/build/BUILDROOT/js-jquery1-1.11.1-3.fc22.x86_64/usr/share/javascript/jquery/1.11.1/jquery.min.js /builddir/build/BUILDROOT/js-jquery1-1.11.1-3.fc22.x86_64/usr/share/javascript/jquery/jquery-1.min.js
+ ln /builddir/build/BUILDROOT/js-jquery1-1.11.1-3.fc22.x86_64/usr/share/javascript/jquery/1.11.1/jquery.min.map /builddir/build/BUILDROOT/js-jquery1-1.11.1-3.fc22.x86_64/usr/share/javascript/jquery/jquery-1.min.map
ln: failed to access '/builddir/build/BUILDROOT/js-jquery1-1.11.1-3.fc22.x86_64/usr/share/javascript/jquery/1.11.1/jquery.min.map': No such file or directory
エラー: /var/tmp/rpm-tmp.G748eQ の不正な終了ステータス (%install)
RPM ビルドのエラー:
    /var/tmp/rpm-tmp.G748eQ の不正な終了ステータス (%install)
Child return code was: 1

Something (dep?) missing?
Comment 6 T.C. Hollingsworth 2014-10-21 14:44:36 EDT
I was missing the '-s' argument to 'ln' in a few places.  But in further testing I discovered that source maps don't work with those particular symlinks, and they really seem to be overkill, so I just removed them instead.

--

Spec: https://patches.fedorapeople.org/jquery/js-jquery1.spec
SRPM: https://patches.fedorapeople.org/jquery/js-jquery1-1.11.1-4.fc20.src.rpm

* Tue Oct 21 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.11.1-4
- drop unneccessary symlinks
Comment 7 Parag AN(पराग) 2014-10-23 20:30:58 EDT
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
js-jquery1.noarch: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
js-jquery1.noarch: W: spelling-error %description -l en_US extensibility -> sensibility, extensible
js-jquery1.src: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
js-jquery1.src: W: spelling-error %description -l en_US extensibility -> sensibility, extensible
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :ba7e5a7fb659691ec2bb23c1a949c99d47633dff48dab774702ae1d9cfddda8b
upstream tarball :ba7e5a7fb659691ec2bb23c1a949c99d47633dff48dab774702ae1d9cfddda8b

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

APPROVED.
Comment 8 T.C. Hollingsworth 2014-10-25 23:53:16 EDT
New Package SCM Request
=======================
Package Name: js-jquery1
Short Description: JavaScript DOM manipulation, event handling, and AJAX library - for legacy browsers
Upstream URL: https://jquery.com/
Owners: patches jamielinux
Branches: f21 f20 f19 epel7 el6 el5
InitialCC:
Comment 9 Gwyn Ciesla 2014-10-27 08:04:58 EDT
Git done (by process-git-requests).
Comment 10 Parag AN(पराग) 2014-11-19 08:28:25 EST
not built on koji yet??
Comment 11 Jens Petersen 2015-01-08 22:30:54 EST
ping? :)
Comment 12 Dominik 'Rathann' Mierzejewski 2015-02-09 18:19:37 EST
Ping2?
Comment 13 T.C. Hollingsworth 2015-02-19 05:31:33 EST
Sorry for the delay, I was really waiting for the trio of packages to push everything out to all Fedora releases, but I really should have built this for rawhide immediately sorry.

I would build it right now, but dist-git is down.  :-(

In the meantime, here's the latest upstream release:

--

Spec: https://patches.fedorapeople.org/jquery/js-jquery1.spec
SRPM: https://patches.fedorapeople.org/jquery/js-jquery1-1.11.2-1.fc20.src.rpm

* Thu Feb 19 2015 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.11.2-1
- new upstream release 1.11.2
  http://blog.jquery.com/2014/12/18/jquery-1-11-2-and-2-1-3-released-safari-fail-safe-edition/
Comment 14 T.C. Hollingsworth 2015-02-19 09:08:20 EST
Built for rawhide and branched:
http://koji.fedoraproject.org/koji/packageinfo?packageID=19341
Comment 15 Jens Petersen 2015-02-23 01:32:07 EST
Congrats
Comment 16 Fedora Update System 2015-03-04 20:10:46 EST
js-jquery-2.1.3-1.fc20,js-jquery1-1.11.2-2.fc20,js-sizzle-2.1.1-1.jquery.2.1.2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/js-jquery-2.1.3-1.fc20,js-jquery1-1.11.2-2.fc20,js-sizzle-2.1.1-1.jquery.2.1.2.fc20
Comment 17 Fedora Update System 2015-03-04 20:12:45 EST
js-jquery-2.1.3-1.fc21,js-jquery1-1.11.2-2.fc21,js-sizzle-2.1.1-1.jquery.2.1.2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/js-jquery-2.1.3-1.fc21,js-jquery1-1.11.2-2.fc21,js-sizzle-2.1.1-1.jquery.2.1.2.fc21
Comment 18 Fedora Update System 2015-03-04 20:14:23 EST
js-jquery-2.1.3-1.el6,js-jquery1-1.11.2-2.el6,js-sizzle-2.1.1-1.jquery.2.1.2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/js-jquery-2.1.3-1.el6,js-jquery1-1.11.2-2.el6,js-sizzle-2.1.1-1.jquery.2.1.2.el6
Comment 19 Fedora Update System 2015-03-04 20:16:02 EST
js-jquery-2.1.3-1.el7,js-jquery1-1.11.2-2.el7,js-sizzle-2.1.1-1.jquery.2.1.2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/js-jquery-2.1.3-1.el7,js-jquery1-1.11.2-2.el7,js-sizzle-2.1.1-1.jquery.2.1.2.el7
Comment 20 Fedora Update System 2015-04-30 13:12:00 EDT
js-jquery-2.1.3-1.el6, js-jquery1-1.11.2-2.el6, js-sizzle-2.1.1-1.jquery.2.1.2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 21 Fedora Update System 2015-04-30 13:13:10 EDT
js-jquery-2.1.3-1.el7, js-sizzle-2.1.1-1.jquery.2.1.2.el7, js-jquery1-1.11.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository.
Comment 22 Fedora Update System 2015-05-01 12:43:26 EDT
js-jquery-2.1.3-1.fc21, js-sizzle-2.1.1-1.jquery.2.1.2.fc21, js-jquery1-1.11.2-2.fc21 has been pushed to the Fedora 21 stable repository.
Comment 23 Fedora Update System 2015-05-01 12:53:33 EDT
js-jquery-2.1.3-1.fc20, js-jquery1-1.11.2-2.fc20, js-sizzle-2.1.1-1.jquery.2.1.2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.